public class Exemple {

  final static double EPSILON = 0.00001;  

  static class Position2D {
    double x = 0.0;
    double y = 0.0; };
  
  static double [] initRandCroissant(int n) {
    int i;
    double [] tab = new double[n];
    tab[0] = Math.random();
    for ( i = 1 ; i < tab.length ; i = i+1 ) {
      tab[i] = tab[i-1]+Math.random(); }
    return tab;
  }
  
  static void affichageTableau(double [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i = i+1 ) {
      Ecran.formater("%8.5f\n",t[i]); }
  }

  public static void main(String [] args) {
    Position2D pos = new Position2D();
    Ecran.afficherln(EPSILON);
    Ecran.afficherln(pos.x," ",pos.y);
    affichageTableau(initRandCroissant(10));
  }
}